{% extends 'base.html.twig' %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}
{% block title %}Liste Enseignants {% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_enseignant" url="{{ path('enseignant_new_ajax') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouvel enseignant"> Ajouter</span></button>
        </a>

        <a href="{{ path('enseignant_list') }}" target="_blank">
            <button type="button" class="btn btn-success"><span
                        class="glyphicon glyphicon-print" title="Imprimer liste des enseignants"> Imprimer</span></button>
        </a></td>
    {#formulaire de recherche#}
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche Enseignants </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-3">
                    {{ form_row(form_search.nomprenomfr,{'value':app.request.get('nomprenomfr')}) }}
                </div>
                {#<div class="col-md-2">
                    {{ form_row(form_search.nomprenomar,{'value':app.request.get('nomprenomar')}) }}
                </div>#}
                <div class="col-md-2">
                    {{ form_row(form_search.code_enseignant,{'value':app.request.get('code_enseignant')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.grade,{'value':app.request.get('grade')}) }}
                </div>
                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('enseignant_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh" title="Actualiser"></span></a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>
    {#fin formulaire de recherche#}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des enseignants </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Code enseignant</th>
                    <th>Nom prenom</th>
                    <th>Cin</th>
                    <th>Matricule</th>
                    <th>Email</th>
                    <th>Telephone</th>
                    <th>Surveille</th>
                    <th>Etat</th>
                    <th>Action</th>

                </tr>
                </thead>
                <tbody>
                {% for enseignant in enseignants %}
                    <tr>
                        <td>{{ enseignant.codeEnseignant }}</td>
                        <td>{{ enseignant.nomprenomfr }}</td>
                        <td>{{ enseignant.cin }}</td>
                        <td>{{ enseignant.matricule }}</td>
                        <td>{{ enseignant.email }}</td>
                        <td>{{ enseignant.telephone1 }}</td>
                        <td url="{{ path('edit_surveille') }}" id_enseig="{{ enseignant.id }}">
                            <div id="surveille_{{ enseignant.id }}">
                                {% if enseignant.etatSurveille %}
                                    <span class="label label-success etat_enseignant" etat="1">actif</span>
                                {% else %}
                                    <span class="label label-danger etat_enseignant" etat="0">inactif</span>
                                {% endif %}
                            </div>
                            <img src="{{ asset('images/loading.svg') }}" class="loading_etat">
                        </td>

                        <td url="{{ path('edit_etat_enseignant') }}" id_enseig="{{ enseignant.id }}">
                            <div>
                                {% if enseignant.avecContrat %}
                                    <span class="label label-success etat_enseignant" etat="1">actif</span>
                                {% else %}
                                    <span class="label label-danger etat_enseignant" etat="0">inactif</span>
                                {% endif %}
                            </div>
                            <img src="{{ asset('images/loading.svg') }}" class="loading_etat">
                        </td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_enseignant"
                                                url="{{ path('enseignant_show', {'id': enseignant.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail enseignant"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_enseignant"
                                                url="{{ path('enseignant_edit', {'id': enseignant.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier enseignant"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('enseignant/_delete_form.html.twig') }}
                                </li>
                            </ul>

                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="11">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align="center" class="navigation">
                {{ knp_pagination_render(enseignants) }}
            </div>
            {#fenetre modale#}

            <div class="modal fade" id="modalEnseignant" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_enseignant"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

        {% block mesJavascripts %}
            <script>
                $('body').on('click', '.etat_enseignant', function () {

                    var td = $(this).parent('div').parent('td');
                    var div = $(this).parent('div');
                    td.children('img').show();
                    var id_enseig = td.attr('id_enseig');
                    var etat = $(this).attr('etat');
                    var url = td.attr('url');
                    $.ajax({
                        url: url,
                        type: 'POST',
                        data: 'id_enseig=' + id_enseig + '&etat=' + etat,
                        success: function (result) {
                            td.children('img').hide();
                            if (etat == 0) {
                                div.html('<span class="label label-success etat_enseignant" etat="1">actif</span>');
                            } else {
                                div.html('<span class="label label-danger etat_enseignant" etat="0">inactif</span>');
                                $('#surveille_' + id_enseig).html('<span class="label label-danger etat_enseignant" etat="0">inactif</span>');
                            }
                        }
                    });
                })


                $('body').on('click', '.btn_new_enseignant', function (event) {
                    $('#modalEnseignant').modal('show');
                    $('.content_modal_body').html('');
                    $('.load_modal_body').show();
                    $('.titre_modal_enseignant').html('Ajouter nouvel enseignant');
                    $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
                    var url = $(this).attr('url');
                    $.ajax({
                        url: url,
                        method: 'POST',
                        success: function (result) {
                            $('.load_modal_body').hide();
                            $('.content_modal_body').html(result);
                        }
                    });
                });
                $('body').on('click', '.btn_edit_enseignant', function (event) {
                    $('#modalEnseignant').modal('show');
                    $('.content_modal_body').html('');
                    $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
                    $('.load_modal_body').show();
                    $('.titre_modal_enseignant').html('Modifier enseignant');
                    var url = $(this).attr('url');
                    $.ajax({
                        url: url,
                        method: 'POST',
                        success: function (result) {
                            $('.load_modal_body').hide();
                            $('.content_modal_body').html(result);
                        }
                    });
                });
                $('body').on('click', '.btn_info_enseignant', function (event) {
                    $('#modalEnseignant').modal('show');
                    $('.content_modal_body').html('');
                    $('.load_modal_body').show();
                    $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
                    $('.titre_modal_enseignant').html('Info enseignant');
                    var url = $(this).attr('url');
                    $.ajax({
                        url: url,
                        method: 'GET',
                        success: function (result) {
                            $('.load_modal_body').hide();
                            $('.content_modal_body').html(result);
                        }
                    });
                });
                $('body').on('click', '.btn_del_enseignant', function (event) {
                    var name_enseignant = $(this).attr('name_enseignant');
                    var id_enseignant = $(this).attr('id_enseignant');
                    $('#modalEnseignant').modal('show');
                    $('.content_modal_body').html('');

                    $('.titre_modal_enseignant').html('Supprimer enseignant');

                    $('.content_modal_body').html('Voulez-vous vraiment supprimer enseignant: <b>' + name_enseignant + '</b>');
                    $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_enseignant" onclick="confirmer_delete_enseignant(' + id_enseignant + ')" data-dismiss="modal">Confirmer</button>');
                });

                function confirmer_delete_enseignant(id_enseignant) {
                    $('#form_delete_enseignant_' + id_enseignant).submit();
                }

                $('body').on('click', '.save_enseignant', function (event) {

                    var form = $('#form_add_enseignant');
                    var formData = new FormData(document.getElementById("form_add_enseignant"));

                    $.ajax({
                        type: 'POST',
                        cache: false,
                        data: formData,
                        url: form.attr('action'),
                        processData: false,
                        contentType: false,

                        beforeSend: function (XMLHttpRequest) {
                            $('#form_add_enseignant').attr('disabled', true);
                        },

                        success: function (msg) {
                            if (msg == 'ok') {
                                $('#modalEnseignant').modal('hide');
                                location.reload();
                            } else {
                                $('.content_modal_body').html(msg);
                                //alert('erreur');
                            }
                        }
                    });

                });
                $('body').on('click', '.edit_enseignant', function (event) {

                    var form = $('#form_add_enseignant');
                    var formData = new FormData(document.getElementById("form_add_enseignant"));

                    $.ajax({
                        type: 'POST',
                        cache: false,
                        data: formData,
                        url: form.attr('action'),
                        processData: false,
                        contentType: false,

                        beforeSend: function (XMLHttpRequest) {
                            $('#form_add_enseignant').attr('disabled', true);

                        },

                        success: function (msg) {
                            if (msg == 'ok') {
                                $('#modalEnseignant').modal('hide');
                                location.reload();
                            } else {
                                $('.content_modal_body').html(msg);
                                //alert('erreur');
                            }
                        }
                    });

                });

                function supprimer_enseignant(name_enseignant) {
                    $('#modalEnseignant').modal('show');
                    $('.content_modal_body').html('');

                    $('.titre_modal_enseignant').html('Supprimer enseignant');

                    $('.content_modal_body').html('Voulez-vous vraiment supprimer enseignant: ' + name_enseignant);
                    return false;
                }
            </script>

        {% endblock %}
